#include <GeographicLib/Geodesic.hpp>

const GeographicLib::Geodesic &geodesic = GeographicLib::Geodesic::WGS84();

extern "C" void geodesic_inverse(double lat1, double lon1, double lat2, double lon2, double *s12, double *azi1, double *azi2)
{
    double _s12;
    double _azi1;
    double _azi2;
    geodesic.Inverse(lat1, lon1, lat2, lon2, _s12, _azi1, _azi2);
    *s12 = _s12;
    *azi1 = _azi1;
    *azi2 = _azi2;
}

extern "C" void geodesic_direct(const double lat1, const double lon1, const double azi1, const double s12, double *lat2, double *lon2)
{
    double _lat2, _lon2;       
    geodesic.Direct(lat1, lon1, azi1, s12, _lat2, _lon2);
    *lat2 = _lat2;
    *lon2 = _lon2;
    return;
}
