#include <GeographicLib/Geodesic.hpp>
#include <GeographicLib/Rhumb.hpp>

const GeographicLib::Rhumb &rhumb = GeographicLib::Rhumb::WGS84();

extern "C" void rhumb_inverse(double lat1, double lon1, double lat2, double lon2, double *s12, double *azi12)
{
    double _azi12;
    double _s12;
    rhumb.Inverse(lat1, lon1, lat2, lon2, _s12, _azi12);
    *s12 = _s12;
    *azi12 = _azi12;
}

extern "C" void rhumb_direct(const double lat1, const double lon1, const double azi12, const double s12, double *lat2, double *lon2)
{
    double _lat2, _lon2;       
    rhumb.Direct(lat1, lon1, azi12, s12, _lat2, _lon2);
    *lat2 = _lat2;
    *lon2 = _lon2;
    return;
}
